Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226146 - Merge Review: mkinitrd
Summary: Merge Review: mkinitrd
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:41 UTC by Nobody's working on this, feel free to take it
Modified: 2010-01-13 08:10 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-12 22:22:24 UTC
susi.lehtola: fedora-review-


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:41:28 UTC
Fedora Merge Review: mkinitrd

http://cvs.fedora.redhat.com/viewcvs/devel/mkinitrd/
Initial Owner: pjones@redhat.com

Comment 1 Susi Lehtola 2009-03-20 20:40:48 UTC
The package needs some amount of love:

grubby.x86_64: E: executable-marked-as-config-file /sbin/installkernel
grubby.x86_64: E: tag-not-utf8 %changelog
grubby.x86_64: W: invalid-url git://git.fedoraproject.org/git/hosted/mkinitrd
grubby.x86_64: W: non-etc-or-var-file-marked-as-conffile /sbin/installkernel
grubby.x86_64: W: conffile-without-noreplace-flag /sbin/installkernel
libbdevid-python.x86_64: W: no-documentation
libbdevid-python.x86_64: E: non-standard-executable-perm /usr/lib64/python2.5/site-packages/bdevid.so 0775
libbdevid-python.x86_64: E: explicit-lib-dependency device-mapper-libs
libbdevid-python.x86_64: E: explicit-lib-dependency libselinux
libbdevid-python.x86_64: E: explicit-lib-dependency libsepol
libbdevid-python.x86_64: E: tag-not-utf8 %changelog
libbdevid-python.x86_64: W: invalid-url git://git.fedoraproject.org/git/hosted/mkinitrd
mkinitrd.src: E: non-utf8-spec-file /tmp/mkinitrd-6.0.81-1.fc10.src.rpm.30578/mkinitrd.spec
mkinitrd.src:1614: W: macro-in-%changelog config
mkinitrd.src: W: summary-ended-with-dot Creates an initial ramdisk image for preloading modules.
mkinitrd.src: E: tag-not-utf8 %changelog
mkinitrd.src: W: invalid-url git://git.fedoraproject.org/git/hosted/mkinitrd
mkinitrd.x86_64: E: explicit-lib-dependency libselinux
mkinitrd.x86_64: E: explicit-lib-dependency libsepol
mkinitrd.x86_64: W: summary-ended-with-dot Creates an initial ramdisk image for preloading modules.
mkinitrd.x86_64: E: tag-not-utf8 %changelog
mkinitrd.x86_64: W: invalid-url git://git.fedoraproject.org/git/hosted/mkinitrd
mkinitrd.x86_64: E: no-binary
mkinitrd-debuginfo.x86_64: E: tag-not-utf8 %changelog
mkinitrd-debuginfo.x86_64: W: invalid-url git://git.fedoraproject.org/git/hosted/mkinitrd
mkinitrd-devel.x86_64: W: no-documentation
mkinitrd-devel.x86_64: W: no-version-dependency-on mkinitrd/mkinitrd-libs/libmkinitrd 6.0.81
mkinitrd-devel.x86_64: W: summary-ended-with-dot C header files and library for functionality exported by libnash.
mkinitrd-devel.x86_64: E: tag-not-utf8 %changelog
mkinitrd-devel.x86_64: W: invalid-url git://git.fedoraproject.org/git/hosted/mkinitrd
nash.x86_64: E: non-standard-executable-perm /lib64/bdevid/usb.so 0775
nash.x86_64: E: library-without-ldconfig-postin /usr/lib64/libbdevid.so.6.0.81
nash.x86_64: E: library-without-ldconfig-postun /usr/lib64/libbdevid.so.6.0.81
nash.x86_64: E: non-standard-executable-perm /lib64/bdevid/scsi.so 0775
nash.x86_64: E: non-standard-executable-perm /lib64/bdevid/ata.so 0775
nash.x86_64: E: library-without-ldconfig-postin /usr/lib64/libnash.so.6.0.81
nash.x86_64: E: library-without-ldconfig-postun /usr/lib64/libnash.so.6.0.81
nash.x86_64: E: explicit-lib-dependency device-mapper-libs
nash.x86_64: E: explicit-lib-dependency e2fsprogs-libs
nash.x86_64: E: explicit-lib-dependency libselinux
nash.x86_64: E: explicit-lib-dependency libsepol
nash.x86_64: E: explicit-lib-dependency zlib
nash.x86_64: W: summary-not-capitalized nash
nash.x86_64: E: tag-not-utf8 %changelog
nash.x86_64: W: invalid-url git://git.fedoraproject.org/git/hosted/mkinitrd
7 packages and 0 specfiles checked; 28 errors, 17 warnings.

In addition:
- Requires and BuildRequires are a mess. Please: alphabetize and break requirements one per line. At least fix mixed use of spaces and commas.

- Drop ExclusiveOs

- BuildRoot should be
%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

- Description of nash should be extended.

Comment 2 Susi Lehtola 2009-04-24 20:46:28 UTC
Ping.

Comment 3 Hans de Goede 2009-04-25 17:27:37 UTC
Sorry, -ENOTIME, atleast not for the coming month. I'm assigning this to me
(even though I'm not the reviewer) so that this does not drop of my radar.

Comment 4 Susi Lehtola 2009-05-22 15:38:52 UTC
ping

Comment 5 Susi Lehtola 2009-06-03 12:05:43 UTC
ping

Comment 6 Hans de Goede 2009-06-03 12:39:41 UTC
(In reply to comment #5)
> ping  

mkinitrd most likely is dead (to be replaced by dracut in F-12), if it turns out
that we are going to stick with it for another release, I'll fix the spec file
and get back to you. If it really is dead I'll close this as wontfix.

Thanks for your effort!

Comment 7 Hans de Goede 2010-01-12 22:22:24 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > ping  
> 
> mkinitrd most likely is dead (to be replaced by dracut in F-12), if it turns
> out that we are going to stick with it for another release, I'll fix the spec
> file and get back to you. If it really is dead I'll close this as wontfix.

mkinitrd was indeed replaced by dracut in F-12, and will be completely gone
on F-13, closing this.

Comment 8 Susi Lehtola 2010-01-12 22:31:34 UTC
OK, be sure to mark the package as dead and block it from rawhide.

Comment 9 Hans de Goede 2010-01-13 08:10:43 UTC
(In reply to comment #8)
> OK, be sure to mark the package as dead and block it from rawhide.    

That has already been done.


Note You need to log in before you can comment on or make changes to this bug.